Get the details of a configured integration
curl -X GET "https://api.prd.rad.security/tenants/example_string/integrations/external/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/tenants/example_string/integrations/external/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/tenants/example_string/integrations/external/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/tenants/example_string/integrations/external/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/tenants/example_string/integrations/external/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"id": "example_string",
"name": "John Doe",
"type": "jira-cloud",
"config": {}
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/tenants/{tenant_id}/integrations/external/{integration_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
tenant_idstring
RequiredRAD tenant ID
path
integration_idstring
RequiredIntegration ID
Request Preview
Response
Response will appear here after sending the request
Path Parameters
tenant_idstring
RequiredRAD tenant ID
integration_idstring
RequiredIntegration ID
Responses
idstring
RequiredThe unique ID of the integration
namestring
RequiredName of the integration for disambiguation
typestring
RequiredThe type of the integration
Allowed values:
jira-cloudsplunkqualysmicrosoft-defendercrowdstrike-falcon-insightcrowdstrike-falcon-spotlightsentinelone-singularitysophos-endpointtanium-edrmalwarebytes-threatdowncrowdstrike-falcon-nextgen-siemrapid7-insightvmrapid7-insightidrtenable-vmokta-identitymicrosoft-entra-idgoogle-workspacenotion-internal-appslack-oauthmock-crowdstrike-falcon-insightmock-crowdstrike-falcon-spotlightmock-siemconfigobject
RequiredIntegration specific extra configuration, e.g. webhook URLs
Was this page helpful?